Package com.collibra.dgc.core.api.dto.instance.issue

# Class FindIssuesRequest

Object
PagedRequest
FindIssuesRequest

All Implemented Interfaces:
  `Serializable`

public class FindIssuesRequest extends PagedRequest
The search criteria for issues. Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored. The returned issues satisfy all constraints that are specified in this search criteria. By default a result containing 1000 issues is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindIssuesRequest.Builder`
  `static enum`
  `FindIssuesRequest.IssueUserRelation`
  This enum identifies what the relation of the current user is with the issues to be retrieved.
  `static enum`
  `FindIssuesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindIssuesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindIssuesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `FindIssuesRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order of the results.
  `FindIssuesRequest.IssueUserRelation`
  `getUserRelation()`
  The relation of the user with the issues to be returned.
  `int`
  `hashCode()`
  `boolean`
  `isOnlyOpenIssues()`
  Whether only open issues should be returned.
  `void`
  `setOnlyOpenIssues(boolean onlyOpenIssues)`
  Whether only open issues should be returned.
  `void`
  `setSortField(FindIssuesRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order of the results.
  `void`
  `setUserRelation(FindIssuesRequest.IssueUserRelation userRelation)`
  The relation of the user with the issues to be returned.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindIssuesRequest

    public FindIssuesRequest()

- ## Method Details

  - ### builder

    public static FindIssuesRequest.Builder builder()

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order of the results.

  - ### getSortField

    public FindIssuesRequest.SortField getSortField()
    The field on which the results are sorted. Default is `NAME`.

  - ### isOnlyOpenIssues

    public boolean isOnlyOpenIssues()
    Whether only open issues should be returned.

  - ### getUserRelation

    public FindIssuesRequest.IssueUserRelation getUserRelation()
    The relation of the user with the issues to be returned. By default all issues for the current user will be returned.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order of the results.

  - ### setSortField

    public void setSortField(FindIssuesRequest.SortField sortField)
    The field on which the results are sorted. Default is `NAME`.

  - ### setOnlyOpenIssues

    public void setOnlyOpenIssues(boolean onlyOpenIssues)
    Whether only open issues should be returned.

  - ### setUserRelation

    public void setUserRelation(FindIssuesRequest.IssueUserRelation userRelation)
    The relation of the user with the issues to be returned. By default all issues for the current user will be returned.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`